For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Lead object
          • GET/leads
          • POST/leads
          • GET/leads/{id}
          • GET/leads/meta/post
          • GET/leads/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsLeads

/leads/{id}

GET
/crm/v1/leads/:id
GET
/api/crm/v1/leads/:id
$curl -G https://api.merge.dev/api/crm/v1/leads/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=owner,converted_contact,converted_account
200Retrieved
1{
2 "id": "550e8400-e29b-41d4-a716-446655440000",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "owner": "0358cbc6-2040-430a-848e-aafacbadf3aa",
7 "lead_source": "API Blogger",
8 "title": "Co-Founder",
9 "company": "Merge API",
10 "first_name": "Gil",
11 "last_name": "Feig",
12 "addresses": [
13 {
14 "created_at": "2021-09-15T00:00:00Z",
15 "modified_at": "2021-10-16T00:00:00Z",
16 "street_1": "50 Bowling Green Dr",
17 "street_2": "Golden Gate Park",
18 "city": "San Francisco",
19 "state": "CA",
20 "postal_code": "94122",
21 "country": "US",
22 "address_type": "BILLING"
23 }
24 ],
25 "email_addresses": [
26 {
27 "email_address": "hello@merge.dev",
28 "email_address_type": "Work"
29 }
30 ],
31 "phone_numbers": [
32 {
33 "created_at": "2021-09-15T00:00:00Z",
34 "modified_at": "2021-10-16T00:00:00Z",
35 "phone_number": "+16789932455",
36 "phone_number_type": "Mobile"
37 }
38 ],
39 "remote_updated_at": "2022-02-10T00:00:00Z",
40 "remote_created_at": "2021-11-10T00:00:00Z",
41 "converted_date": "2022-03-10T00:00:00Z",
42 "converted_contact": "025fjlc6-6000-430a-848e-aafacbadf4fe",
43 "converted_account": "9c9de072-29cf-48e3-9578-1ca5b145b40e",
44 "status": "OPEN",
45 "remote_was_deleted": true,
46 "field_mappings": {
47 "organization_defined_targets": {
48 "custom_key": "custom_value"
49 },
50 "linked_account_defined_targets": {
51 "custom_key": "custom_value"
52 }
53 },
54 "remote_data": [
55 {
56 "path": "/leads",
57 "data": null
58 }
59 ],
60 "remote_fields": [
61 {
62 "remote_field_class": {
63 "id": "string",
64 "display_name": "string",
65 "remote_key_name": "string",
66 "description": "string",
67 "is_custom": true,
68 "is_common_model_field": true,
69 "is_required": true,
70 "field_type": "string",
71 "field_format": "string",
72 "field_choices": [
73 "string"
74 ],
75 "item_schema": {
76 "item_type": "string",
77 "item_format": "string",
78 "item_choices": [
79 "string"
80 ]
81 }
82 },
83 "value": "string"
84 }
85 ]
86}

Returns a Lead object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/leads

Next

/leads/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
ownerstring or nullformat: "uuid"
The lead's owner.
lead_sourcestring or null
The lead's source.
titlestring or null
The lead's title.
companystring or null
The lead's company.
first_namestring or null
The lead's first name.
last_namestring or null
The lead's last name.
addresseslist of objectsRead-only
email_addresseslist of objectsRead-only
phone_numberslist of objectsRead-only
remote_updated_atdatetime or null
When the third party's lead was updated.
remote_created_atdatetime or null
When the third party's lead was created.
converted_datedatetime or null
When the lead was converted.
converted_contactstring or nullformat: "uuid"
The contact of the converted lead.
converted_accountstring or nullformat: "uuid"
The account of the converted lead.
statusenum or null

The lead’s status.

  • OPEN - OPEN
  • CLOSED - CLOSED
  • UNQUALIFIED - UNQUALIFIED
  • QUALIFIED - QUALIFIED
Allowed values:
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only